Create a Payout Batch
Create a batch of payouts to multiple users. Each payout in the batch is processed independently with its own idempotency key. The batch itself can also have an idempotency key to prevent duplicate batch submissions. All payouts in a batch must have `fund=true`.
Create a batch of payouts to multiple users. Each payout in the batch is processed independently with its own idempotency key. The batch itself can also have an idempotency key to prevent duplicate batch submissions. All payouts in a batch must have fund=true.
Authorization
api_key In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to create a batch of payouts
Response Body
application/json
curl -X POST "https://example.com/v2/payout-batches" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "amount": 1000, "platform": "paypal", "idempotency_key": "b2c3d4e5-f6a7-48b9-80c1-d2e3f4a5b6c7", "fund": true, "tax_exempt": false, "metadata": { "invoice_id": "INV-123" } }, { "user_id": "b269451c-9625-5452-c9db-171ee559b2b6", "amount": 2500, "platform": "ach", "account_id": "c369451c-a725-6552-d0ec-272ff669c3c7", "idempotency_key": "c3d4e5f6-a7b8-49c0-91d2-e3f4a5b6c7d8", "fund": true, "tax_exempt": false } ], "metadata": { "batch_type": "weekly_payouts", "week": "2024-01" } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58", "status": "created", "metadata": "string"}